# Function applyPostTerrainChangeAbAttrs

- applyPostTerrainChangeAbAttrs(attrType, pokemon, terrain, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostTerrainChangeAbAttr )
    - - new (...args): PostTerrainChangeAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostTerrainChangeAbAttr

  - pokemon: default
  - terrain: TerrainType
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3643